Skip to main content
GET
GET /api/v1/recording/company
Retrieves all recording sessions for the user’s company with optional filtering and pagination.

Authorizations

X-API-Key
string
header
required

Query Parameters

text
string
page
integer
default:0

Page number to get, used with pageSize

size
integer
default:20

Number of items to get in one request, used with page

sort
string

Property to sort by. Append ',' and directions 'asc/desc' to change direction

Response

200 - application/json

OK

socialRecordingId
string<uuid>
socialId
string<uuid>
userId
string<uuid>
recordingId
string
status
enum<string>
Available options:
PROCESSING,
COMPLETE,
FAILED
name
string
s3Bucket
string
recordingSize
integer
startDateTime
string<date-time>
endDateTime
string<date-time>
processingStartDateTime
string<date-time>
processingEndDateTime
string<date-time>
participants
object[]
user
object